Subject: Re: RFC: Removing busy-spin in pktgen.

From: Ben Greear <[email-masked]>
Date: Tue, 24 Oct 2006 09:28:35 -0700

Robert Olsson wrote:
> Ben Greear writes:
>  > I'm planning to re-merge my long-lost pktgen branch with the kernel
>  > tree's pktgen.
>  > 
>  > I believe the main difference is that my out-of-tree pktgen does not do the
>  > busy-spin, but waits on a queue for the net-device to wake it's tx-queue
>  > when over-driving a NIC.
>  > 
>  > To implement this, I added a hook in the netdev-wake-queue logic and let
>  > pktgen register itself as interested....
>  > 
>  > Is there any interest in adding this sort of feature to the official
>  > pktgen?
>
>  Hello!
>
>  So question is, pktgen hooks in netif_wake_queue or let pktgen busy-spin?
>
>  My first instinct is to avoid the hook in general code and pktgen let spin 
>  to only affect testing.
>   
Ok.  For my testing, I often run pktgen at slower speeds and need to run 
other applications
with good performance as well, so it hurts to give pktgen an entire CPU 
to just spin.  I'm
going to go ahead and port over the no-spin logic and hooks, but I'll 
try to keep that patch
easily separated from the rest of the changes I make to pktgen so 
perhaps the other changes
can be incorporated.

Thanks,
Ben

>  Cheers.
> 					--ro

-- 
Ben Greear <[email-masked]> 
Candela Technologies Inc  http://www.candelatech.com